// Elevator.m

#import "Elevator.h"
#import "Tenant.h"
#import <simtools.h>
#import <random.h>

@implementation Elevator

-init: (int) nFloors type: (int) eType {
  type = eType;
  if (type)
    floor = 0;
  else {
    if ([uniformIntRand getIntegerWithMin: 0 withMax: 1])
      floor = 0;
    else
      floor = [uniformIntRand getIntegerWithMin: 1 withMax: nFloors];
  }
  return self;
}

-(int)getFloor {
  return floor;
}

-(int)callAtFloor: (int) f {
  int wait;
  wait = abs(floor-f);
  floor = f;
  return wait;
}

-take: (id) t toFloor: (int) f {
  [t setFloor: f];
  if (type==1)
    floor = 0;
  else
    floor = f;
  return self;
}

@end

  

  


