// ExperSwarm.h

#import <objectbase.h>
#import <collections.h>
#import <simtools.h>
#import <gui.h>
#import <simtoolsgui.h>
#import <simtoolsgui/GUISwarm.h>
#import <analysis.h>
#import "ModelSwarm.h"
#import "ModObject2dDisplay.h"
#import "def.h"

@interface ExperSwarm : GUISwarm {

  id modelSwarm;

  char * parameterName;
  double lowerBoundParameter;
  double upperBoundParameter;
  double incrementParameter;
  int lowerBoundSeed;
  int upperBoundSeed;
  int numGenerations;
  id <Graph> graph;
  id <GraphElement> data;
}

+createBegin: (id) aZone;
-createEnd;
-buildObjects;
-run;

@end

