// Player.h				

#import <objectbase.h>
#import <objectbase/SwarmObject.h>
#import <space.h>
#import <random.h>
#import "def.h"

@interface Player: SwarmObject {

  int playerID, type, newType;
  int posX, posY;
  int cumulPayoff;
  int numPlays;
  int memory; 
  int newAction;
  id other;
  id neighbors;
  int sizeFactor;
}

-initPlayer: (int) idnum type: (int) playerType;
-(int) getID;
-resetPlayer;
-setPlayerType: (int) playerType;
-(int) getPlayerType;
-setOtherPlayer: player;
-setX: (int) x Y: (int) y;
-(int) getX;
-(int) getY;
-setNeighborhood: (id) nl;
-(id) getNeighborhood;
-setPayoff: (int) p;
-(int) getPayoff;
-(double) getAveragePayoff;
-(int) getNewAction;
-remember;
-step: (int) t;
-adaptType;
-updateType;
-drawSelfOn: (id) raster;

@end

