// POL SCI 209-1  Winter 1999  Week 8

// Lars-Erik Cederman
// Benedikt Stefansson

// ProbeIPD
// Swarm program that replicates the Cohen et al. spatial IPD
// (Configuration: B-2DK-Imit.)

// This version builds on GridIPD by adding probes.


#import <simtools.h>               
#import "ObserverSwarm.h"

int
main(int argc,const char ** argv) {
  ObserverSwarm * observerSwarm;

  initSwarm(argc, argv);

  observerSwarm =  [ObserverSwarm create: globalZone];

  [observerSwarm buildObjects];
  [observerSwarm buildActions];
  [observerSwarm activateIn: nil];     

  [observerSwarm go];

  return 0;

}


