// POL SCI 209-1  Winter 1999
// Lars-Erik Cederman
//
// objElevator
// 
// Objective-C program that simulates an elevator


#import <simtools.h>
#import <random.h>
#import "Tenant.h"

int
main(int argc, const char ** argv) {

  id tenant1, tenant2, elevator;
  int eType;
  long int repl;
  long int sum = 0;
  long int n = 10000;

  initSwarm(argc, argv);

  [randomGenerator setStateFromSeed: 1];
  tenant1 = [Tenant create: globalZone];
  tenant2 = [Tenant create: globalZone];
  elevator = [Elevator create: globalZone];

  for (eType = 0; eType < 2; eType++) {
    [tenant1 init: 1];
    [tenant2 init: 2];
    [elevator init: 2 type: eType];

    for (repl = 0; repl < n; repl++) {
      // enter body of main loop here!	   
    }
  
    printf("Type: %d Time: %10.6f \n", 
	   eType,
	   (double) ([tenant1 getTime]+[tenant2 getTime])/(double) n);
  }
  return 0;

}
 
 




