// ObserverSwarm.h

#import <objectbase.h>
#import <space.h>
#import <space/Object2dDisplay.h>
#import <activity.h>
#import <collections.h>
#import <simtools.h>
#import <simtoolsgui.h>
#import <simtoolsgui/GUISwarm.h>
#import <analysis.h>
#import "ModelSwarm.h"

@interface ObserverSwarm : GUISwarm {
  int displayFrequency;                      
  int zoomFactor;

  id displayActions;                              
  id displaySchedule;

  id modelSwarm;

  id <EZGraph> numGraph;

  id <Colormap> colorMap;                           // allocate colours
  id <ZoomRaster> worldRaster;
  id <Object2dDisplay> worldDisplay;
}

+createBegin: (id) aZone;
-createEnd;
-buildObjects;
-buildActions;
-activateIn: (id) swarmContext;

@end

