// Schellings Segregation Model
// Code by Benedikt Stefansson, <benedikt@ucla.edu>. 
// First version July 1997
// Second version February 1998

#import "Person.h"
#import <objectbase.h>
#import <objectbase/SwarmObject.h>
#import <space.h>
#import <activity.h>
#import <collections.h>
#import <random.h>
#import "SchellingWorld.h"
#import "Neighborhood.h"

@interface Person: SwarmObject {
  int myColor;
  int unhappy;
  float myTolerance;
  SchellingWorld * myWorld;
  Neighborhood * myNeighborhood;
}
	

-setWorld: w;

-setNeighborhood: n;

-setAgentColor: (int) c;

-setTolerance: (float) t;

-step;

-moveToNewLocation;

-drawSelfOn: (id) rast;
				
-(int)getUnhappy;
-(double)getTolerance;		
-(int)getColor;
-getNeighborhood;

@end

