// ObserverSwarm.h

#import <objectbase.h>
#import <activity.h>
#import <collections.h>
#import <simtools.h>
#import <gui.h>
#import <simtoolsgui.h>
#import <simtoolsgui/GUISwarm.h>
#import <analysis.h>
#import "ModelSwarm.h"
#import "ModObject2dDisplay.h"


@interface ObserverSwarm : GUISwarm {
  int displayFrequency;                      
  int zoomFactor, sizeFactor;

  id displayActions;                              
  id displaySchedule;

  id modelSwarm;

  id <EZGraph> numGraph;

  id <Colormap> colorMap;                         
  id <ZoomRaster> worldRaster;
  id worldDisplay;
}

+createBegin: (id) aZone;
-createEnd;
-buildObjects;
-buildActions;
-activateIn: (id) swarmContext;
-drawPointX: (int) posX Y: (int) posY Color: (int) type;


@end

