// Player.m

#import "Player.h"
#import <simtools.h>

@implementation Player

-initPlayer: (int) n rowPlayer: (BOOL) rp {
  name = n;
  rowPlayer = rp;
 
  matrix[0][0]=1;
  matrix[1][1]=3;

  if (rowPlayer) {
    matrix[0][1]=5;
    matrix[1][0]=0;
  }
  else {
    matrix[0][1]=0;
    matrix[1][0]=5;
  };

  return self;
}

-setRow: (int) r Col: (int) c {
  row = r;
  col = c;

 return self;
}


-(BOOL)move {
  BOOL moving;
  if (rowPlayer)
    moving=(matrix[1-row][col] > matrix[row][col]);
  else
    moving=(matrix[row][1-col] > matrix[row][col]); 
  if (moving)
    printf("Player %d moves\n", name);
  else
    printf("Player %d stays\n", name);
  return moving;
}
  
@end

  


