// POL SCI 209-1  Winter 1999 Week 3
// Lars-Erik Cederman
//
// SimplePD
// Swarm program that finds the equilibria of a simple 2 x 2 game


#import <simtools.h>
#import "Player.h"

int
main(int argc, const char ** argv) {

  id player1, player2;
  BOOL choice1, choice2;

  initSwarm(argc, argv);

  player1 = [Player create: globalZone];
  player2 = [Player create: globalZone];

  [player1 initPlayer: 1 rowPlayer: YES];
  [player2 initPlayer: 2 rowPlayer: NO];

  [player1 setRow: 0 Col: 0];
  [player2 setRow: 0 Col: 0];

  choice1 = [player1 move];
  choice2 = [player2 move];

  if ((choice1==NO) && (choice2==NO))
    printf("Equilibrium!\n");
  else
    printf("No equilibrium!\n");

  return 0;

}
 
 




